Package org.pushingpixels.flamingo.api.ribbon

# Enum Class RibbonElementPriority

java.lang.Object
java.lang.Enum<RibbonElementPriority>
org.pushingpixels.flamingo.api.ribbon.RibbonElementPriority

All Implemented Interfaces:
  `Serializable`, `Comparable<RibbonElementPriority>`, `Constable`

public enum RibbonElementPriority extends Enum<RibbonElementPriority>
Priority of ribbon band components.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOW`
Low priority.
`MEDIUM`
Medium priority.
`TOP`
Top priority.

## Method Summary

Modifier and Type
Method
Description
`static RibbonElementPriority`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RibbonElementPriority[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final RibbonElementPriority TOP
Top priority.

### MEDIUM

public static final RibbonElementPriority MEDIUM
Medium priority.

### LOW

public static final RibbonElementPriority LOW
Low priority.

## Method Details

### values

public static RibbonElementPriority[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RibbonElementPriority valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null